Name: libdnet
Version: 1.10
Release: alt2.1

Summary: A dumb networking library
Group: System/Libraries
License: BSD-like
Url: http://%name.sourceforge.net/
Packager: Ilya Evseev <evseev@altlinux.ru>

# Don't build static library by default,
# can be overridden by 'rpmbuild --enable static ...'
%def_disable static

# Python bindings, may be disabled using 'rpmbuild --without python ...'
%def_with python

Source: http://heanet.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.gz

# Automatically added by buildreq on Sat Jan 08 2005
BuildRequires: gcc-c++ libpcap-devel libstdc++-devel

Summary(ru_RU.KOI8-R):     

%package devel
Summary: Development %name library, header files, documentation and examples
Summary(ru_RU.KOI8-R):    %name - , ,   
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static %name library
Summary(ru_RU.KOI8-R):  %name   
Group: Development/C
Requires: %name-devel = %version-%release
Requires: glibc-devel-static

%package -n dnet
Summary: A dumb networking library test program
Summary(ru_RU.KOI8-R):     %name
Group: Networking/Other
Requires: %name = %version-%release

%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

%description -l ru_RU.KOI8-R
%name     
       :
  *   ,
  *  arp(4),
  *   (man 4 route),
  *   ,
  *  raw IP-  Ethernet-.

%description devel
libdnet provides a simplified, portable interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

This package contains the development library, it's header files,
documentation and examples needed to develop %name-based applications.

%description devel -l ru_RU.KOI8-R
%name     
       :
  *   ,
  *  arp(4),
  *   (man 4 route),
  *   ,
  *  raw IP-  Ethernet-.

   ,    ,
   ţ,    .

%description devel-static
libdnet provides a simplified, portable interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

This package contains the static %name library required to develop
statically linked %name-based applications.

%description devel-static -l ru_RU.KOI8-R
%name     
       :
  *   ,
  *  arp(4),
  *   (man 4 route),
  *   ,
  *  raw IP-  Ethernet-.

   ,    ,
  %name .

%description -n dnet
dnet is a simple test program for the dnet(3) library. It can be used
to compose and transmit network datagrams as a Unix-style filter (e.g.
reading from or writing to files and pipes) or modify the local system
network configuration (including the ARP cache, firewall ruleset,
network interfaces, and routing table).

%description -n dnet -l ru_RU.KOI8-R
dnet      ͣ 
(. man 3 dnet).       
    - (..   
    ),       
 ,    ARP,  ,  ,
   ..

%if_with python

%setup_python_subpackage dnet
%package -n %packagename
Summary: Python bindings for %name, a dumb networking library
Summary(ru_RU.KOI8-R):       %name   Python
Group: Development/Python
Requires: %name = %version-%release
%setup_std_python_package_deps

%description -n %packagename
Python interface for accessing %name-provided functions.

%description -n %packagename -l ru_RU.KOI8-R
      %name     Python.

%define with_python_opt --with-python=%_bindir

%else

%define with_python_opt %nil

%endif
# if_with python

%prep
%setup -q

%build
%configure %{subst_enable static} %with_python_opt
%make_build

%install
%makeinstall

%__mkdir_p $RPM_BUILD_ROOT/etc/buildreqs/files/ignore.d
cat >$RPM_BUILD_ROOT/etc/buildreqs/files/ignore.d/%name-devel <<EOF
^/usr/lib/libdnet.so\$
^/usr/lib/gcc-lib/.*/libdnet.so\$
EOF

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc LICENSE README THANKS TODO

%files devel
/etc/buildreqs/files/ignore.d/%name-devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files -n dnet
%_sbindir/*
%_man8dir/*

%if_with python
%files -n %packagename
%_libexecdir/python*/site-packages/*
%doc python/README python/test.py python/dnet.pyx
%endif

%changelog
* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.10-alt2.1
- Rebuilt with python-2.4.

* Mon Feb 28 2005 Dmitry V. Levin <ldv@altlinux.org> 1.10-alt2
- Fixed python bindings packaging to comply with python policy.

* Mon Feb 28 2005 Ilya Evseev <evseev@altlinux.ru> 1.10-alt1
- version 1.10
- python bindings added

* Fri Jan 14 2005 Ilya Evseev <evseev@altlinux.ru> 1.8-alt2
- spec cleanup: most tricks are not needed more because libdnet supports libtool
- dont build static library except rpmbuild is started with '--enable static'

* Sat Jan  8 2005 Ilya Evseev <evseev@altlinux.ru> 1.8-alt1
- Updated to 1.8
- Specfile: added russian summary and descriptions
- Removed Makefile.am patch and rpmbuild/automake build dependencies

* Sat May 03 2003 Dmitry V. Levin <ldv@altlinux.org> 1.7-alt1
- Updated to 1.7, updated patch and build script.

* Sat Nov 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1.5-alt2
- Fixed build.

* Sat Oct 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1.5-alt1
- Updated to 1.5
- %name-devel: added buildreq ignore rule (aka autoconf sux).

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1.4-alt1
- Initial revision.
